Package Details: python-partd 0.3.8-1

Git Clone URL: https://aur.archlinux.org/python-partd.git (read-only)
Package Base: python-partd
Description: Appendable key-value storage
Upstream URL: http://github.com/mrocklin/partd/
Licenses: BSD
Submitter: Francois_B
Maintainer: thrasibule
Last Packager: thrasibule
Votes: 1
Popularity: 0.154902
First Submitted: 2016-02-19 21:12
Last Updated: 2017-05-14 21:07

Latest Comments

thrasibule commented on 2017-06-09 14:52

@kahlos. Tests work for me here. What's the error message that you're getting?

kahlos commented on 2017-06-09 13:36

I've been unable to compile this with it freezing on the following part of the check:
partd/tests/test_zmq.py

I managed to get this to compile by removing the check from the pkgbuild. I'm not sure why it would fail, I tried installing all sorts of potential dependencies, but no luck.

parchd commented on 2017-04-08 12:15

I think python-toolz should be listed as a dep.

Francois_B commented on 2016-07-26 18:50

Thanks for reporting! I believe it's fixed.

anntzer commented on 2016-07-21 18:50

There's probably a PYTHONPATH issue in the running of the test suite:

<elided>
==> Starting check()...
======================================================================================= test session starts ========================================================================================
platform linux -- Python 3.5.2, pytest-2.9.2, py-1.4.31, pluggy-0.3.1
rootdir: /home/antony/.cache/pacaur/python-partd/src/partd-0.3.2, inifile:
plugins: cov-2.3.0
collected 0 items / 12 errors

============================================================================================== ERRORS ==============================================================================================
___________________________________________________________________________ ERROR collecting partd/tests/test_buffer.py ____________________________________________________________________________
partd/tests/test_buffer.py:1: in <module>
from partd.dict import Dict
E ImportError: No module named 'partd'
<elided>

jeanfrancisroy commented on 2016-03-06 18:08

Thanks! :-)

Francois_B commented on 2016-03-04 20:59

I forgot to push: https://aur.archlinux.org/packages/python-locket

jeanfrancisroy commented on 2016-03-04 16:46

The python-locket dependency does not exist.